package com.lemon.lifecenter.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.lemon.lifecenter.dto.PatientMemoDTO;
import com.lemon.lifecenter.dto.PatientPHRLatestDTO;
import com.lemon.lifecenter.mapper.PatientMemoMapper;
import com.lemon.lifecenter.mapper.PatientPHRLatestMapper;

@Service
public class ClinicService {

	 @Autowired
    private PatientPHRLatestMapper mapperPHRLatest;
	
	 @Autowired
	private PatientMemoMapper mapperMemo;
	 
	public void insertPHRLatest(PatientPHRLatestDTO dto) {
		mapperPHRLatest.insertPHRLatest(dto);
	}
	
	public int selectPHRLatestCount(PatientPHRLatestDTO dto) {
        return mapperPHRLatest.selectPHRLatestCount(dto);
    }
    
    public List<PatientPHRLatestDTO> selectPHRLatestList(PatientPHRLatestDTO dto) {
        return mapperPHRLatest.selectPHRLatestList(dto);
    }
	
	public void insertMemo(PatientMemoDTO dto) {
		mapperMemo.insertMemo(dto);
	}
	
    public List<PatientMemoDTO> selectMemoList(PatientMemoDTO dto) {
        return mapperMemo.selectMemoList(dto);
    }
}